petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMPlexCheckGeometry

Check the geometry of mesh cells

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCheckGeometry(DM dm)

### Input Parameter

dm -The DMPlex object

### Notes

This is a useful diagnostic when creating meshes programmatically.

For the complete list of DMPlexCheck* functions, see DMSetFromOptions().

### See Also

DMCreate(), DMSetFromOptions()

### Level

developer

### Location

src/dm/impls/plex/plex.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages